%global modname vcrpy

Name:               python-vcrpy
Version:            1.11.0
Release:            %mkrel 1
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing

Group:              Development/Python
License:            MIT
URL:                https://pypi.io/project/vcrpy
Source0:            https://pypi.io/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools

BuildRequires:      PyYAML
BuildRequires:      python-mock
BuildRequires:      python-six
BuildRequires:      python-contextlib2
BuildRequires:      python-wrapt
#BuildRequires:      python-backport_collections

Requires:           PyYAML
Requires:           python-mock
Requires:           python-six
Requires:           python-contextlib2
Requires:           python-wrapt
#Requires:           python-backport_collections

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools

BuildRequires:      python3-PyYAML
BuildRequires:      python3-mock
BuildRequires:      python3-six
BuildRequires:      python3-contextlib2
BuildRequires:      python3-wrapt
#BuildRequires:      python3-backport_collections

%description
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%package -n python3-vcrpy
Summary:            Automatically mock your HTTP interactions to simplify and speed up testing
Group:              Development/Python

Requires:           python3-PyYAML
Requires:           python3-mock
Requires:           python3-six
Requires:           python3-contextlib2
Requires:           python3-wrapt
#Requires:           python3-backport_collections

%description -n python3-vcrpy
Simplify and speed up testing HTTP by recording all HTTP interactions and
saving them to "cassette" files, which are yaml files containing the contents
of your requests and responses.  Then when you run your tests again, they all
just hit the text files instead of the internet.  This speeds up your tests and
lets you work offline.

If the server you are testing against ever changes its API, all you need to do
is delete your existing cassette files, and run your tests again.  All of the
mocked responses will be updated with the new API.

%prep
%setup -q -n %{modname}-%{version}

sed -i "s/backport_collections/collections/g" vcr/filters.py
sed -i "s/backport_collections/collections/g" vcr/cassette.py
sed -i "s/, 'backport_collections'//g" setup.py

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
# Get rid of asyncio requirement for py2.x build
rm vcr/_handle_coroutine.py

%py2_build

pushd %{py3dir}
%py3_build
popd


%install
%py2_install
pushd %{py3dir}
%py3_install
popd

## Cannot run tests because they require python-pytest-localserver which is not
## yet packaged.
#%%check
#%%{__python2} setup.py test
#pushd %{py3dir}
#%%{__python3} setup.py test
#popd

%files
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/vcr/
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-vcrpy
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/vcr/
%{python3_sitelib}/%{modname}-%{version}*



%changelog
* Sun May 14 2017 ngompa <ngompa> 1.11.0-1.mga6
+ Revision: 1101041
- Re-upgrade to 0.11.0 and build py3 in subdir
- Downgrade to 1.10.5
- Port to Mageia
- Upgrade to 0.11.0
- imported package python-vcrpy

